Name: xfce-mcs-plugins
Version: 4.4.2
Release: alt0.M40

Summary: Plugins for multi channel settings manager of XFce
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Requires: libxfcegui4 >= %version, libxfce4mcs >= %version
BuildPreReq: libxfcegui4-devel >= %version, libxfce4mcs-devel >= %version, xfce4-dev-tools >= 4.4.0

Requires: libgtk+2 >= 2.2.0, xfce-mcs-manager >= %version, libgtk+2-common
# Automatically added by buildreq on Mon Nov 19 2007
BuildRequires: gcc-c++ imake intltool libSM-devel libXcursor-devel libXi-devel libXrandr-devel libXxf86misc-devel libXxf86vm-devel libxklavier-devel xfce-mcs-manager-devel xfce4-dev-tools xorg-cf-files

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2

# from Ubuntu
Patch1: 01keyboard_makefile.patch
Patch2: 02_keysym_svn_backport.patch
Patch3: 10keyboard_layouts.patch

BuildRequires: pkgconfig xorg-x11-devel xfce4-dev-tools gtk-doc intltool libxklavier-devel

%description
%name is a set of plugins for the multi channel settings manager of XFce.

%prep
%setup
# from Ubuntu
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
	--enable-xf86misc \
	--enable-xkb \
	--enable-randr \
	--enable-xf86vm \
	--enable-debug=no
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%post
%_bindir/gtk-update-icon-cache
%postun
%_bindir/gtk-update-icon-cache

%files -f %name.lang
%doc README NEWS AUTHORS
%_libdir/xfce4/mcs-plugins/*.so
%exclude %_libdir/xfce4/mcs-plugins/*.la
%exclude %_libdir/xfce4/mcs-plugins/*.a
%_datadir/xfce4/doc/*/*.html
%_datadir/xfce4/doc/*/images/*
%_desktopdir/*
%_datadir/xfce-mcs-plugins/shortcuts/default.xml
%_liconsdir/*
%_iconsdir/hicolor/scalable/apps/*

%changelog
* Tue Jan 15 2008 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt0.M40
- backport for branch

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Mon Oct 15 2007 Igor Zubkov <icesik@altlinux.org> 4.4.1-alt2.1
- NMU
  + fix build with new intltool

* Sun Jun 17 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 11780
- update patch1, thanks for vyt@

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- add patches from Ubuntu 7.04

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Wed Sep 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- new version 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Mon Mar 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt2
- Fixed to build in current Sisyphus (needs automake_1.7).

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
